import request from '@/utils/request'

// 数字类数据统计
export function caseItemNumber (params) {
  return request({
    url: '/enforce/bigData/caseItemNumber',
    method: 'get',
    params: params
  })
}

// 案件节点数据统计
export function caseProgressAccount (params) {
  return request({
    url: '/enforce/bigData/caseProgressAccount',
    method: 'get',
    params: params
  })
}

// 案件来源数据统计
export function caseSourceAccountNew (params) {
  return request({
    url: '/enforce/bigData/caseSourceAccountNew',
    method: 'get',
    params: params
  })
}

// 区域案件商户数据统计
export function areaCaseBusinessAccount (params) {
  return request({
    url: '/enforce/bigData/areaCaseBusinessAccount',
    method: 'get',
    params: params
  })
}

// 案件列表
export function caseList (params) {
  return request({
    url: '/enforce/bigData/caseList',
    method: 'get',
    params: params
  })
}

// 案件分类
export function caseTypeAccount (params) {
  return request({
    url: '/enforce/bigData/caseTypeAccount',
    method: 'get',
    params: params
  })
}

// 重点违规商户
export function keyIllegalBusinessList (params) {
  return request({
    url: '/enforce/bigData/keyIllegalBusinessList',
    method: 'get',
    params: params
  })
}

// 年度变化趋势
export function yearChangeAccount (params) {
  return request({
    url: '/enforce/bigData/yearChangeAccount',
    method: 'get',
    params: params
  })
}


// 违规情况
export function casePreMonthNum (params) {
  return request({
    url: '/enforce/bigData/casePreMonthNum',
    method: 'get',
    params: params
  })
}

// 天气预报
export function weatherInfo () {
  return request({
    url: '/bigData/common/weatherInfo',
    method: 'get',
  })
}

// 查询案件登记详细
export function getCase (id) {
  return request({
    url: '/enforce/case/get/' + id,
    method: 'get'
  })
}

// 查询案件勘察详细
export function getSurveyByCaseId (caseId) {
  return request({
    url: '/enforce/survey/getSurveyByCaseId/' + caseId,
    method: 'get'
  })
}

// 查询立案信息详细
export function getputRecordByCaseId (caseId) {
  return request({
    url: '/enforce/putrecord/getputRecordByCaseId/' + caseId,
    method: 'get'
  })
}

// 查询农业执法-案件-取证信息详细
export function getEvidenceByCaseId (caseId) {
  return request({
    url: '/enforce/evidence/getEvidenceByCaseId/' + caseId,
    method: 'get'
  })
}

// 查询抽样产品检测结果详细
export function getReportByGoodsId (goodsId) {
  return request({
    url: '/enforce/report/getReportByGoodsId/' + goodsId,
    method: 'get'
  })
}

// 查询农业执法-案件-处理信息详细
export function getTreatByCaseId (caseId) {
  return request({
    url: '/enforce/treat/getTreatByCaseId/' + caseId,
    method: 'get'
  })
}

// 查询裁决信息详细
export function getDecisionByCaseId (caseId) {
  return request({
    url: '/enforce/decision/getDecisionByCaseId/' + caseId,
    method: 'get'
  })
}

// 查询执行信息详细
export function getExecuteByCaseId (caseId) {
  return request({
    url: '/enforce/execute/getExecuteByCaseId/' + caseId,
    method: 'get'
  })
}

// 查询结案信息详细
export function getEndingByCaseId (caseId) {
  return request({
    url: '/enforce/ending/getEndingByCaseId/' + caseId,
    method: 'get'
  })
}

// 查询农业执法-案件-备案信息详细
export function getOnrecordByCaseId (caseId) {
  return request({
    url: '/enforce/onrecord/getOnrecordByCaseId/' + caseId,
    method: 'get'
  })
}

// 根据deptId查询所在地区
export function getDeptName (id) {
  return request({
    url: '/api/system/dept/get/' + id,
    method: 'get'
  })
}

// 查询方案管理列表不分页
export function schemeOptionList (query) {
  return request({
    url: '/enforce/scheme/schemeList',
    method: 'get',
    params: query
  })
}

// caseId查询抽样信息详细
export function getSamplingByCaseId (caseId) {
  return request({
    url: '/enforce/sampling/getSamplingByCaseId/' + caseId,
    method: 'get'
  })
}

// 查询执法进度历史列表不分页
export function progressList (query) {
  return request({
    url: '/enforce/progress/progressList',
    method: 'get',
    params: query
  })
}
